png::require_color_space< pixel > Struct Template Reference

IO transformation class template. Enforces image color space. More...

`#include <require_color_space.hpp>`

## Public Types

typedef pixel_traits< pixel > | traits

## Public Member Functions

void | operator() (io_base &io) const

## Detailed Description

### template<typename pixel>
struct png::require_color_space< pixel >

IO transformation class template. Enforces image color space.

This IO transformation class template used to enforce source image color space.

See also
  image, image::read

## Member Typedef Documentation

## traits

template<typename pixel >

typedef pixel_traits< pixel > png::require_color_space< pixel >::traits

## Member Function Documentation

## operator()()

template<typename pixel >

void png::require_color_space< pixel >::operator() | ( | io_base & | io | ) | const

inline

References png::io_base::get_bit_depth(), and png::io_base::get_color_type().

The documentation for this struct was generated from the following file:

- require_color_space.hpp